Skip to main content
POST
Accept a Dispute

Authorizations

Authorization
string
header
required

You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>. These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.

Headers

x-idempotency-key
string<uuid>
required

Idempotency key to be used. Sending again the same key would return the same result without re-executing the update.

Path Parameters

disputeId
string<uuid>
required

Identifier of the resource in Payrails.

Response

Dispute accepted successfully.

disputeId
string<uuid>
required

Unique identifier of the Dispute in Payrails.

disputeReference
string
required

Unique identifier of the Dispute in the Provider.

success
boolean
required

Indicates whether the accept action was processed successfully by the Provider.

result
enum<string>
required

Operation Result that was executed in the Provider.

Available options:
Submitted,
Failed,
UnderReview,
Accepted,
Received,
Expired,
GenericRejection,
OperationNotAllowed,
OperationDuplicated,
Unknown
rawDetails
object[]

Raw request and response details from the Provider.

defenseStatus
enum<string>

Status of the defense.

Available options:
NotDefendable,
Undefended,
ReadyToSubmit,
Submitted,
Failed,
UnderReview,
Won,
Lost,
Accepted,
Resolved,
Unknown
Last modified on October 7, 2026